require(['jquery'], function($) {
  $(function() {
    //console.log($('.vimeo-video-image'));
    //console.log($('.vimeo-video-container INPUT.overlay-dialog-accepted'), $('.vimeo-video-container INPUT.overlay-dialog-accepted').length);
    $('.vimeo-video-image IMG').click(function() {
      $(this).parents('.vimeo-video-container').first().find('.fullpageOverlay').first().css('display','');
    });
    $('.vimeo-video-container INPUT.overlay-dialog-accepted').change(function() {
      //console.log('checked!!!',$(this).prop('checked'));
      if ($(this).prop('checked') == true) {
        //console.log('checked!!!');
        let container = $(this).parents('.vimeo-video-container').first();
        container.find('.fullpageOverlay').first().css('display','');
        let content = container.find('.vimeo-video-content');
        let id = content.attr('data-id');
        let dnt = content.attr('data-dnt');
        let url = "https://player.vimeo.com/video/" + id + (dnt == 1 ? "?dnt=1" : "");
        content.append('<iframe class="vimeo-video-content-frame" src="' + url + '" width="100%" height="400px" frameborder="0" webkitallowfullscreen="" mozallowfullscreen="" allowfullscreen=""></iframe>');
        container.find('.vimeo-video-image').addClass('vimeo-video-image-hidden');
        content.removeClass('vimeo-video-content-hidden');
      }
    });
  });
});

